Skip to content
Start here

Fetch all participants of a meeting

realtime_kit.meetings.get_meeting_participants(strmeeting_id, MeetingGetMeetingParticipantsParams**kwargs) -> MeetingGetMeetingParticipantsResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Returns all participants detail for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
page_no: Optional[float]

The page number from which you want your page search results to be displayed.

minimum0
per_page: Optional[float]

Number of results per page

minimum0
ReturnsExpand Collapse
class MeetingGetMeetingParticipantsResponse:
data: List[Data]
id: str

ID of the participant.

formatuuid
created_at: datetime

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: str

A unique participant ID generated by the client.

preset_name: str

Preset applied to the participant.

updated_at: datetime

When this object was updated. The time is returned in ISO format.

formatdate-time
name: Optional[str]

Name of the participant.

picture: Optional[str]

URL to a picture of the participant.

formaturi
paging: Paging
end_offset: float
start_offset: float
total_count: float
minimum0
success: bool

Fetch all participants of a meeting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.get_meeting_participants(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
)
print(response.data)
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "custom_participant_id": "custom_participant_id",
      "preset_name": "preset_name",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "picture": "https://example.com"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}